#include <stdio.h>
#include <stdint.h>

#include <velib/canhw/canhw.h>
#include <velib/types/ve_dbus_item.h>
#include <velib/types/ve_item.h>
#include <velib/types/ve_values.h>

#include "valence.h"

/* Called after CAN is already setup */
void taskInit(void)
{
  /* Wait until we see VALENCE_STATUS_MESSAGE */
  valenceWait();

  /* Initialize values on dbus regarding com.victronenergy.battery.valence0 */
  valenceInit();
}

void taskUpdate(void)
{
  /* Reads the CAN messages and updates variables accordingly */
  valenceUpdate();

}

/* 50ms time progress */
void taskTick(void)
{
  /* Timeout process */
  valenceTick();
}
